Package it.ernytech.tdlib

## Class TdApi.GetChatMessageByDate

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetChatMessageByDate

Enclosing class:
  TdApi

    public static class TdApi.GetChatMessageByDate
    extends TdApi.Function

Returns the last message sent in a chat no later than the specified date.

Returns `Message`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `date` Point in time (Unix timestamp) relative to which to search for messages.

### Constructor Summary

Constructors
`GetChatMessageByDate()` Default constructor.
`GetChatMessageByDate​(long chatId, int date)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### date

    public int date

Point in time (Unix timestamp) relative to which to search for messages.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetChatMessageByDate

    public GetChatMessageByDate()

Default constructor.

#### GetChatMessageByDate

    public GetChatMessageByDate​(long chatId,
                                int date)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `date` - Point in time (Unix timestamp) relative to which to search for messages.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR